# Proof of Address (PoA) verification
IDnGO provides an additional service that allows you to verify the user's residence at the specified address and determine the subtype of the proof document.
Contact us if you want to enable verification of documents confirming the user's address (PoA).
# PoA documents
Documents suitable for verifying the user's address (type UTILITY_BILL):
- Tax bill;
- Mortgage statement;
- Voter registration certificate;
- Correspondence with a government agency regarding benefits such as pensions, unemployment benefits, housing allowances, etc.;
- Cable Internet/TV bill.
Bills from satellite TV providers or other wireless telecommunications services are not accepted; - Landline phone bill;
- Bank statement;
- Utility bills: gas, electricity, water, Internet, etc., related to real estate;
- Active lease agreement with signatures from both landlord and tenant;
- Rental bills issued by a property rental agency;
- Credit card statement issued by a bank;
- Letter from a recognized government agency or official (any government correspondence);
- Employer certificate for PoA;
- Residential property purchase document;
- Identity document containing the address and not previously used as proof of the user's identity.
The document must include the full name, home address, and document validity date or be no older than 3 months. Both paper and electronic versions of documents (in .PDF format) are accepted.
# Retrieving results
All API requests must be authenticated as described in the Getting Started section.
# GET Retrieve PoA core data
To get data extracted from the submitted documents, use one of these endpoints:
GET /resources/applicants/{applicantId}/one
Or, if you do not know the applicantId, use:
GET /resources/applicants/-;externalUserId={externalUserId}/one
Request parameters
| Name | Type | Required | Description |
|---|---|---|---|
applicantId | String | Yes | Unique identifier of the applicant in our system. |
externalUserId | String | Yes | External applicant identifier — the unique identifier of the user in your system. |
Response
The array info.idDocs[] contains information extracted from the documents submitted by the user. The description below covers only documents used to verify the residential address (idDocType: "UTILITY_BILL").
Core fields of other submitted documents can be found here.
PoA idDocs array fields
| Name | Type | Required | Description |
|---|---|---|---|
idDocType | String | Yes | Document type identifier. For PoA documents: UTILITY_BILL/UTILITY_BILL2. |
country | String | Yes | Three-letter country code Alpha-3 (for example, RUS). |
firstName | String | No | User’s first name as stated in the document. |
firstNameEn | String | No | Transliteration of the user's first name. |
lastName | String | No | User’s last name. |
lastNameEn | String | No | Transliteration of the user's last name. |
middleName | String | No | Middle name/patronymic. |
middleNameEn | String | No | Transliteration of the middle name/patronymic. |
issuedDate | String | No | PoA issue date (format YYYY-mm-dd). |
address | Object | No | User address fields. |
address object fields
| Name | Type | Description |
|---|---|---|
country | String | Three-letter country code Alpha-3 (for example, RUS). |
postCode | String | Postal code. |
town | String | City or locality name. |
townEn | String | Transliteration of the city or locality name. |
street | String | Street name or full address as per document format. |
streetEn | String | Transliteration of the street name or full address. |
subStreet | String | Additional street information. |
subStreetEn | String | Transliteration of additional street information. |
state | String | Region/state/territory name. |
Example
curl -X GET \
'https://api.idngo.kz/resources/applicants/6b594ade0a975a36c9349e66/one'
{
"id" : "6b594ade0a975a36c9349e66",
"createdAt" : "2021-10-27 13:30:14",
"key" : "ZJTQSEZCZYRMCW",
"clientId" : "coolclientid",
"inspectionId" : "6b594ade0a975a36c9349e67",
"externalUserId" : "29115001",
"info" : {
"country" : "GBR",
"addresses" : [
{
"subStreet" : "536",
"subStreetEn" : "536",
"street" : "Main Street",
"streetEn" : "Main Stree",
"state" : "London",
"town" : "London",
"townEn" : "London",
"postCode" : "UK925 63",
"country" : "GBR"
}
],
"idDocs" : [
{
"idDocType" : "UTILITY_BILL",
"country" : "SVK",
"firstName" : "BRADLEY PEAK",
"firstNameEn" : "BRADLEY PEAK",
"issuedDate" : "2021-10-10",
"address" : {
"subStreet" : "536",
"subStreetEn" : "536",
"street" : "Main Street",
"streetEn" : "Main Stree",
"state" : "London",
"town" : "London",
"townEn" : "London",
"postCode" : "UK925 63",
"country" : "GBR"
}
}
]
},
"ipCountry" : "GBR",
"requiredIdDocs" : {
"docSets" : [
{
"idDocSetType" : "PROOF_OF_RESIDENCE",
"types" : [ "UTILITY_BILL" ]
}
]
},
"review" : {
"levelName" : "poaCheck",
"createDate" : "2021-10-27 14:40:39+0000",
"reviewDate" : "2021-10-27 15:19:56+0000",
"startDate" : "2021-10-27 15:17:05+0000",
"reviewResult" : {
"reviewAnswer" : "GREEN"
},
"reviewStatus" : "completed"
},
"lang" : "en",
"type" : "individual"
}
# GET Retrieve additional PoA data
GET /resources/checks/latest?type=POA&applicantId={applicantId}
Request parameters
| Name | Type | Required | Description |
|---|---|---|---|
applicantId | String | Yes | Unique identifier of the applicant in our system. |
Response
Contains a list of PoA checks.
| Name | Type | Required | Description | Values |
|---|---|---|---|---|
answer | String | Yes | Result of the overall PoA check. | GREEN/YELLOW/RED |
poiAsPoa | Boolean | No | Whether an identity document was used as PoA. | true/false |
subType | String | No | PoA sub-type. | |
companyContact.type | Object | No | Type of organization that issued the PoA. |
Available values for companyContact.type and subType
| companyContact.type | subType |
|---|---|
governmentOrganization | statement/voterRegistration/taxBill/other |
utilityProvider | telecom/utilityBill/other |
bank | bankStatement/bankLetter/other |
mobileOperator | |
other | lease/other |
Example
curl -X GET \
'https://api.idngo.kz/resources/checks/latest?type=POA&applicantId=6b594ade0a975a36c9349e67'
{
"checks" : [
{
"answer" : "GREEN",
"checkType" : "POA",
"createdAt" : "2022-01-11 16:36:23",
"inputDoc" : {
"idDocType" : "UTILITY_BILL",
"country" : "GBR"
},
"poaCheckInfo" : {
"answer" : "GREEN",
"unexpired" : "GREEN",
"acceptableType" : "GREEN",
"validAddress" : "GREEN",
"companyContact" : {
"type" : "bank"
},
"poiAsPoa" : false,
"subType" : "bankLetter"
}
}
]
}